Skip to main content

Endorse skills of 1st Connection

POST /api/v1/endorse

This API allows the authenticated user to endorse a LinkedIn contact for a particular skill, helping to recognize their expertise.

The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided. This value should be used as the profile_id when making requests to other WeLink APIs that require a LinkedIn profile reference.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.

Sample Request

{
"accountId": "string",
"profile_id": "string"
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
endorsedbooleanWhether the skills were endorsed.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.

Sample Response

{
"status": "string",
"requestId": "string",
"result": {
"endorsed": false,
"profile_id": "string"
}
}
POST/api/v1/endorse
x-api-key
x-api-secret